package rest_websocket_test

import (
	"testing"

	"git.ali33.ru/fcg-xvii/rest/rest_websocket"
)

func TestInt64Pack(t *testing.T) {
	i := 125540
	b := rest_websocket.Int64ToBytes(int64(i), 3)
	t.Log(b)
	di := rest_websocket.BytesToInt64(b)
	t.Log(di)
}

func TestMessage(t *testing.T) {
	//m := rest.Message{
	//	Type: rest.MessageTypeText,
	//	Data: []byte("Hello"),
	//}
	//t.Log(m)
}

func TestMessagePack(t *testing.T) {

	//m := rest.Message{
	//	Type: rest.MessageTypeText,
	//	Data: []byte("Hello"),
	//}
	//t.Log(m
}
